GET api/GlobalSearch?term={term}&excludeDeleted={excludeDeleted}&excludeArchived={excludeArchived}&lastUpdated={lastUpdated}
The main endpoint for a global search across all entities in the system. Processes this global search API request. The parameter and response sections describe the data exchanged with the API.
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| term |
Search term |
string |
Required |
| excludeDeleted |
The exclude deleted value supplied with the request. |
boolean |
Default value is False |
| excludeArchived |
The exclude archived value supplied with the request. |
boolean |
Default value is False |
| lastUpdated |
Get results from the last updated date |
date |
None. |
Body Parameters
None.
Response Information
Resource Description
The response returned after the operation completes.
GlobalSearchResponseDataContract| Name | Description | Type | Additional information |
|---|---|---|---|
| Groups |
The groups value. |
PagedCollectionDataContractOfGlobalSearchGroupResultDataContract |
None. |
| Companies |
The companies value. |
PagedCollectionDataContractOfGlobalSearchGroupResultDataContract |
None. |
| People |
The people value. |
PagedCollectionDataContractOfGlobalSearchPersonResultDataContract |
None. |
| Properties |
The properties value. |
PagedCollectionDataContractOfGlobalSearchPropertyResultDataContract |
None. |
| Auctions |
The auctions value. |
PagedCollectionDataContractOfGlobalSearchAuctionResultDataContract |
None. |
Response Formats
application/json
Sample:
Sample not available.
text/json
Sample:
Sample not available.